Bug 174240 - Review Request: artwiz-aleczapka-fonts
Review Request: artwiz-aleczapka-fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dawid Gajownik
Fedora Package Reviews List
http://artwizaleczapka.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT 174219
  Show dependency treegraph
 
Reported: 2005-11-26 06:13 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-31 10:05:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to spec file. (3.16 KB, patch)
2005-12-25 11:54 EST, Dawid Gajownik
no flags Details | Diff

  None (edit)
Description Andreas Bierfert 2005-11-26 06:13:01 EST
Spec Name or Url: http://fedora.lowlatency.de/review/artwiz-aleczapka.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/artwiz-aleczapka-1.3-1.src.rpm
Description:
This is set of (improved) artwiz fonts.
The ultimate solution to your all problems with artwiz fonts.
Screenshots: http://artwizaleczapka.sourceforge.net/images/shots/

These fonts have been included in fluxbox which I did not like when I took over the page but never had the time to work on and never came up as in issue. I think they should reside as a seperate package so they can be updated etc. As I did fix some stuff in fluxbox and the included fonts are older I would really like to get this sorted out rather quickly... :)
Comment 1 Dawid Gajownik 2005-11-26 08:07:52 EST
Hi!

Do you need to generate fonts from *.bdf files? Maybe it would be better to use
artwiz-aleczapka-{de,en,se}-1.3.tar.bz2 tarballs?

Shouldn't `fc-cache' be run in %post{,un} section like in dejavu-fonts?
http://cvs.fedora.redhat.com/viewcvs/*checkout*/rpms/dejavu-fonts/devel/dejavu-fonts.spec?root=extras

What do you think about changing package name to artwiz-aleczapka-fonts to keep
the name consistent with other fonts RPMs from Extras?
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=165900#c6
Comment 2 Andreas Bierfert 2005-11-26 19:36:59 EST
Hm, I think you we want the source files but since I do not know anything about
fonts ^^ I might be wrong.

If fc-cache should be run or not is a good question... now it is run for each
subdir so in a pretty much closed env. I don't know weather it should also be
run from %{_datadir}/fonts to allow for integration... could someone elaborate
on how this works and point out diffs between FC{3,4,5}?

-font would be fine by me so...
Comment 3 Andreas Bierfert 2005-11-29 10:27:31 EST
Ok here you go: added fc-cache to post and require it (so we don't need the if's
like in dejavu) and changed the name...

Before it pops up: The ghost stuff is not needed because I build them in a
different way so that the files get included automatically:

http://fedora.lowlatency.de/review/artwiz-aleczapka-fonts-1.3-2.src.rpm
http://fedora.lowlatency.de/review/artwiz-aleczapka-fonts.spec
Comment 4 Andreas Bierfert 2005-12-15 04:22:32 EST
Ping?
Comment 5 Dawid Gajownik 2005-12-25 11:51:27 EST
(In reply to comment #4)
> Ping?

Uhm, sorry that it took me so long. I was ill a bit and after that I had a lot
of duties. Sleeping 4-6 hours per day I was trying to catch up on my work. I
thought that someone more knowledgeable could make a review in the meantime.

(In reply to comment #2)
> Hm, I think you we want the source files

It depends. Some *-fonts packages use pregenerated fonts. Of course, it's
nothing wrong in providing source files in src.rpm ;-]

> I don't know weather it should also be run from %{_datadir}/fonts to allow for
> integration...

Without it fonts won't be visible in the system. In your fluxbox package you
were adding these directories by modifying /etc/fonts/local.conf. Here you only
need to run fc-cache in that dir because %{_datadir}/fonts is already in
/etc/fonts/local.conf.

> and point out diffs between FC{3,4,5}?

In FC5 there is additional fonts.cache-2 file.

(In reply to comment #3)
> Ok here you go: added fc-cache to post and require it (so we don't need the if's
> like in dejavu)

That's wrong. Please take a look at these links:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=165900#c1
http://www.redhat.com/archives/fedora-extras-list/2005-May/msg00887.html

Here's the rest of review:
- do not run fc-cache in %build section. It's a Bad Thing™ →
https://bugs.freedesktop.org/show_bug.cgi?id=5176#c1 (Mike A. Harris is a
maintainier of X.Org X11 in Fedora/RedHat)
- do not include source files (*.bdf) in the final package
- please preserve timestamps →
http://fedoraproject.org/wiki/PackagingGuidelines#Timestamps (I changed "mv"
command to "install -p"

I prepared a small patch. I have cleaned up a bit %prep section and installed
fonts into %{_datadir}/fonts/artwiz-aleczapka directory (not
artwiz-aleczapka-fonts). I'm also not shure whether “%{version}” part is
necessary in %{buildroot}%{fontdir}/artwiz-aleczapka-{de,en,se}-%{version}. Oh,
I also did not have time to struggle with documentation files. It needs some
more work...

BTW Merry Christmas :-)
Comment 6 Dawid Gajownik 2005-12-25 11:54:35 EST
Created attachment 122576 [details]
patch to spec file.
Comment 7 Andreas Bierfert 2005-12-31 03:34:42 EST
Merry Christmas and Happy New Year :)
Sorry xmas was a little bit long this year and kept me from working my bugzilla
tickets... here is a version with you patch applied and with the documentation
included...

http://fedora.lowlatency.de/review/artwiz-aleczapka-fonts-1.3-2.src.rpm
http://fedora.lowlatency.de/review/artwiz-aleczapka-fonts.spec
Comment 8 Dawid Gajownik 2005-12-31 07:34:29 EST
> Merry Christmas and Happy New Year :)

Same to you :-)

> Sorry xmas was a little bit long this year

I wish it was a bit longer ;)

> here is a version with you patch applied and with the documentation
> included...

Can you check the server? I cannot connect to it:

"The connection was refused when attempting to contact fedora.lowlatency.de."
Comment 9 Andreas Bierfert 2005-12-31 08:27:25 EST
Hm apache crashed ... damn debian ;)

Should work now...
Comment 10 Dawid Gajownik 2005-12-31 09:40:10 EST
You gave link to the old srpm. The correct one is
http://fedora.lowlatency.de/review/artwiz-aleczapka-fonts-1.3-3.src.rpm ;)

- there is one rpmlint warning:

[rpm-build@X ~]$ cd rpmbuild/RPMS/noarch/
[rpm-build@X noarch]$ rpmlint artwiz-aleczapka-fonts-1.3-3.noarch.rpm
W: artwiz-aleczapka-fonts no-version-in-last-changelog
[rpm-build@X noarch]$

but it's not true ;-)
- sources matches upstream
- license: GPL

APPROVED
Comment 11 Andreas Bierfert 2005-12-31 10:05:06 EST
Thanks for the review :) imported and build for devel.
Comment 12 Christian Iseli 2006-10-18 09:07:06 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.